// calculate tiles

export function dots(m, n, max) {
	const ps = [];
	if( m - n === 0 ) {
		return ps;
	}
	const imin = -max;
	const imax = max / m;
	for( let i = imin; i <= imax; i++ ) {
		const jmin = m * i + (m - n) * max;
		const jmax = m * i;
		for( let j = jmin; j <= jmax; j++ ) {
			const x = (j - m * i) / (m - n);
			const y = m * (x + i);
			ps.push({i:i, j:j, x:x, y:y});
		}
	}
	return ps;
}